<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.liquidnet.service.adam.mapper.AdamMemberMapper">
    <resultMap id="MemberResult" type="com.liquidnet.service.adam.entity.AdamMember">
        <result column="member_id" property="memberId" />
        <result column="name" property="name" />
        <result column="title" property="title" />
        <result column="sub_title" property="subTitle" />
        <result column="start_no" property="startNo" />
        <result column="icon" property="icon" />
        <result column="avatar" property="avatar" />
        <result column="type" property="type" />
        <result column="interests_detail" property="interestsDetail" />
        <result column="notes" property="notes" />
        <result column="is_notice" property="isNotice" />
        <result column="notice_info" property="noticeInfo" />
        <result column="notice_title" property="noticeTitle" />
        <result column="need_question" property="needQuestion" />
        <result column="display_agreement" property="displayAgreement" />
        <result column="state" property="state" />
        <result column="limitation" property="limitation" />
        <result column="created_at" property="createdAt" />
        <result column="updated_at" property="updatedAt" />
    </resultMap>
    <!-- sql -->
    <select id="getFirstMember" resultMap="MemberResult">
        SELECT
           member_id,
           `name`,
           title,
           sub_title,
           start_no,
           icon,
           avatar,
           `type`,
           interests_detail,
           notes,
           is_notice,
           notice_info,
           notice_title,
           need_question,
           display_agreement,
           `state`,
           limitation,
           created_at,
           updated_at
        FROM adam_member
        limit 0,1
    </select>
</mapper>
